members.dev
Invites

List Invites

Lists Invites

GET
/v1/invites

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Query Parameters

member_id?array<>|

Return only invites linked to one or more members. Provide the parameter multiple times for multiple members.

status?array<>|

Filter by invite status. Omit to return all statuses. Provide the parameter multiple times for multiple statuses.

page?integer

Page number

Default1
Range1 <= value
size?integer

Page size

Default50
Range1 <= value <= 100

Header Parameters

Members-Context?|

Members organization id (org_…) when the client has multiple organizations.

Response Body

application/json

application/json

curl -X GET "https://api.members.dev/v1/invites"
{
  "items": [
    {
      "id": "string",
      "short_id": "string",
      "organization_id": "string",
      "email": "user@example.com",
      "member_ids": [
        "string"
      ],
      "status": "pending",
      "organization_role": "admin",
      "expires_at": null,
      "accepted_at": {},
      "accepted_by_account_id": "string",
      "created_at": null,
      "updated_at": null
    }
  ],
  "total": 0,
  "page": 1,
  "size": 1,
  "pages": 0
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}